Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network32.0.0.0/4
Usable hosts268,435,454
Subnet mask240.0.0.0
Addresses268,435,456
Network address
32.0.0.0
Broadcast address
47.255.255.255
First usable
32.0.0.1
Last usable
47.255.255.254
Usable hosts
268,435,454 (268,435,456 less the network and broadcast addresses)
Subnet mask
240.0.0.0
Wildcard mask
15.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/4
Type
Public public
Old class
A (default /8)
As numbers
Hex 20000000 · Integer 536870912 to 805306367
Reverse DNS zones
32.in-addr.arpa
33.in-addr.arpa
34.in-addr.arpa
35.in-addr.arpa
36.in-addr.arpa
37.in-addr.arpa
38.in-addr.arpa
39.in-addr.arpa
40.in-addr.arpa
41.in-addr.arpa
42.in-addr.arpa
43.in-addr.arpa
44.in-addr.arpa
45.in-addr.arpa
46.in-addr.arpa
47.in-addr.arpa
/4 is not on a 8-bit boundary, so it takes 16 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00100000.00000000.00000000.0000000032.0.0.0
Subnet mask11110000.00000000.00000000.00000000240.0.0.0
Network00100000.00000000.00000000.0000000032.0.0.0
Broadcast00101111.11111111.11111111.1111111147.255.255.255
Split into smaller subnets/15

32.0.0.0/4 makes 2,048 subnets of /15; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
132.0.0.0/1532.0.0.1 to 32.1.255.25432.1.255.255131,070
232.2.0.0/1532.2.0.1 to 32.3.255.25432.3.255.255131,070
332.4.0.0/1532.4.0.1 to 32.5.255.25432.5.255.255131,070
432.6.0.0/1532.6.0.1 to 32.7.255.25432.7.255.255131,070
532.8.0.0/1532.8.0.1 to 32.9.255.25432.9.255.255131,070
632.10.0.0/1532.10.0.1 to 32.11.255.25432.11.255.255131,070
732.12.0.0/1532.12.0.1 to 32.13.255.25432.13.255.255131,070
832.14.0.0/1532.14.0.1 to 32.15.255.25432.15.255.255131,070
932.16.0.0/1532.16.0.1 to 32.17.255.25432.17.255.255131,070
1032.18.0.0/1532.18.0.1 to 32.19.255.25432.19.255.255131,070
1132.20.0.0/1532.20.0.1 to 32.21.255.25432.21.255.255131,070
1232.22.0.0/1532.22.0.1 to 32.23.255.25432.23.255.255131,070
1332.24.0.0/1532.24.0.1 to 32.25.255.25432.25.255.255131,070
1432.26.0.0/1532.26.0.1 to 32.27.255.25432.27.255.255131,070
1532.28.0.0/1532.28.0.1 to 32.29.255.25432.29.255.255131,070
1632.30.0.0/1532.30.0.1 to 32.31.255.25432.31.255.255131,070
1732.32.0.0/1532.32.0.1 to 32.33.255.25432.33.255.255131,070
1832.34.0.0/1532.34.0.1 to 32.35.255.25432.35.255.255131,070
1932.36.0.0/1532.36.0.1 to 32.37.255.25432.37.255.255131,070
2032.38.0.0/1532.38.0.1 to 32.39.255.25432.39.255.255131,070
2132.40.0.0/1532.40.0.1 to 32.41.255.25432.41.255.255131,070
2232.42.0.0/1532.42.0.1 to 32.43.255.25432.43.255.255131,070
2332.44.0.0/1532.44.0.1 to 32.45.255.25432.45.255.255131,070
2432.46.0.0/1532.46.0.1 to 32.47.255.25432.47.255.255131,070
2532.48.0.0/1532.48.0.1 to 32.49.255.25432.49.255.255131,070
2632.50.0.0/1532.50.0.1 to 32.51.255.25432.51.255.255131,070
2732.52.0.0/1532.52.0.1 to 32.53.255.25432.53.255.255131,070
2832.54.0.0/1532.54.0.1 to 32.55.255.25432.55.255.255131,070
2932.56.0.0/1532.56.0.1 to 32.57.255.25432.57.255.255131,070
3032.58.0.0/1532.58.0.1 to 32.59.255.25432.59.255.255131,070
3132.60.0.0/1532.60.0.1 to 32.61.255.25432.61.255.255131,070
3232.62.0.0/1532.62.0.1 to 32.63.255.25432.63.255.255131,070
3332.64.0.0/1532.64.0.1 to 32.65.255.25432.65.255.255131,070
3432.66.0.0/1532.66.0.1 to 32.67.255.25432.67.255.255131,070
3532.68.0.0/1532.68.0.1 to 32.69.255.25432.69.255.255131,070
3632.70.0.0/1532.70.0.1 to 32.71.255.25432.71.255.255131,070
3732.72.0.0/1532.72.0.1 to 32.73.255.25432.73.255.255131,070
3832.74.0.0/1532.74.0.1 to 32.75.255.25432.75.255.255131,070
3932.76.0.0/1532.76.0.1 to 32.77.255.25432.77.255.255131,070
4032.78.0.0/1532.78.0.1 to 32.79.255.25432.79.255.255131,070
4132.80.0.0/1532.80.0.1 to 32.81.255.25432.81.255.255131,070
4232.82.0.0/1532.82.0.1 to 32.83.255.25432.83.255.255131,070
4332.84.0.0/1532.84.0.1 to 32.85.255.25432.85.255.255131,070
4432.86.0.0/1532.86.0.1 to 32.87.255.25432.87.255.255131,070
4532.88.0.0/1532.88.0.1 to 32.89.255.25432.89.255.255131,070
4632.90.0.0/1532.90.0.1 to 32.91.255.25432.91.255.255131,070
4732.92.0.0/1532.92.0.1 to 32.93.255.25432.93.255.255131,070
4832.94.0.0/1532.94.0.1 to 32.95.255.25432.95.255.255131,070
4932.96.0.0/1532.96.0.1 to 32.97.255.25432.97.255.255131,070
5032.98.0.0/1532.98.0.1 to 32.99.255.25432.99.255.255131,070
5132.100.0.0/1532.100.0.1 to 32.101.255.25432.101.255.255131,070
5232.102.0.0/1532.102.0.1 to 32.103.255.25432.103.255.255131,070
5332.104.0.0/1532.104.0.1 to 32.105.255.25432.105.255.255131,070
5432.106.0.0/1532.106.0.1 to 32.107.255.25432.107.255.255131,070
5532.108.0.0/1532.108.0.1 to 32.109.255.25432.109.255.255131,070
5632.110.0.0/1532.110.0.1 to 32.111.255.25432.111.255.255131,070
5732.112.0.0/1532.112.0.1 to 32.113.255.25432.113.255.255131,070
5832.114.0.0/1532.114.0.1 to 32.115.255.25432.115.255.255131,070
5932.116.0.0/1532.116.0.1 to 32.117.255.25432.117.255.255131,070
6032.118.0.0/1532.118.0.1 to 32.119.255.25432.119.255.255131,070
6132.120.0.0/1532.120.0.1 to 32.121.255.25432.121.255.255131,070
6232.122.0.0/1532.122.0.1 to 32.123.255.25432.123.255.255131,070
6332.124.0.0/1532.124.0.1 to 32.125.255.25432.125.255.255131,070
6432.126.0.0/1532.126.0.1 to 32.127.255.25432.127.255.255131,070
6532.128.0.0/1532.128.0.1 to 32.129.255.25432.129.255.255131,070
6632.130.0.0/1532.130.0.1 to 32.131.255.25432.131.255.255131,070
6732.132.0.0/1532.132.0.1 to 32.133.255.25432.133.255.255131,070
6832.134.0.0/1532.134.0.1 to 32.135.255.25432.135.255.255131,070
6932.136.0.0/1532.136.0.1 to 32.137.255.25432.137.255.255131,070
7032.138.0.0/1532.138.0.1 to 32.139.255.25432.139.255.255131,070
7132.140.0.0/1532.140.0.1 to 32.141.255.25432.141.255.255131,070
7232.142.0.0/1532.142.0.1 to 32.143.255.25432.143.255.255131,070
7332.144.0.0/1532.144.0.1 to 32.145.255.25432.145.255.255131,070
7432.146.0.0/1532.146.0.1 to 32.147.255.25432.147.255.255131,070
7532.148.0.0/1532.148.0.1 to 32.149.255.25432.149.255.255131,070
7632.150.0.0/1532.150.0.1 to 32.151.255.25432.151.255.255131,070
7732.152.0.0/1532.152.0.1 to 32.153.255.25432.153.255.255131,070
7832.154.0.0/1532.154.0.1 to 32.155.255.25432.155.255.255131,070
7932.156.0.0/1532.156.0.1 to 32.157.255.25432.157.255.255131,070
8032.158.0.0/1532.158.0.1 to 32.159.255.25432.159.255.255131,070
8132.160.0.0/1532.160.0.1 to 32.161.255.25432.161.255.255131,070
8232.162.0.0/1532.162.0.1 to 32.163.255.25432.163.255.255131,070
8332.164.0.0/1532.164.0.1 to 32.165.255.25432.165.255.255131,070
8432.166.0.0/1532.166.0.1 to 32.167.255.25432.167.255.255131,070
8532.168.0.0/1532.168.0.1 to 32.169.255.25432.169.255.255131,070
8632.170.0.0/1532.170.0.1 to 32.171.255.25432.171.255.255131,070
8732.172.0.0/1532.172.0.1 to 32.173.255.25432.173.255.255131,070
8832.174.0.0/1532.174.0.1 to 32.175.255.25432.175.255.255131,070
8932.176.0.0/1532.176.0.1 to 32.177.255.25432.177.255.255131,070
9032.178.0.0/1532.178.0.1 to 32.179.255.25432.179.255.255131,070
9132.180.0.0/1532.180.0.1 to 32.181.255.25432.181.255.255131,070
9232.182.0.0/1532.182.0.1 to 32.183.255.25432.183.255.255131,070
9332.184.0.0/1532.184.0.1 to 32.185.255.25432.185.255.255131,070
9432.186.0.0/1532.186.0.1 to 32.187.255.25432.187.255.255131,070
9532.188.0.0/1532.188.0.1 to 32.189.255.25432.189.255.255131,070
9632.190.0.0/1532.190.0.1 to 32.191.255.25432.191.255.255131,070
9732.192.0.0/1532.192.0.1 to 32.193.255.25432.193.255.255131,070
9832.194.0.0/1532.194.0.1 to 32.195.255.25432.195.255.255131,070
9932.196.0.0/1532.196.0.1 to 32.197.255.25432.197.255.255131,070
10032.198.0.0/1532.198.0.1 to 32.199.255.25432.199.255.255131,070
10132.200.0.0/1532.200.0.1 to 32.201.255.25432.201.255.255131,070
10232.202.0.0/1532.202.0.1 to 32.203.255.25432.203.255.255131,070
10332.204.0.0/1532.204.0.1 to 32.205.255.25432.205.255.255131,070
10432.206.0.0/1532.206.0.1 to 32.207.255.25432.207.255.255131,070
10532.208.0.0/1532.208.0.1 to 32.209.255.25432.209.255.255131,070
10632.210.0.0/1532.210.0.1 to 32.211.255.25432.211.255.255131,070
10732.212.0.0/1532.212.0.1 to 32.213.255.25432.213.255.255131,070
10832.214.0.0/1532.214.0.1 to 32.215.255.25432.215.255.255131,070
10932.216.0.0/1532.216.0.1 to 32.217.255.25432.217.255.255131,070
11032.218.0.0/1532.218.0.1 to 32.219.255.25432.219.255.255131,070
11132.220.0.0/1532.220.0.1 to 32.221.255.25432.221.255.255131,070
11232.222.0.0/1532.222.0.1 to 32.223.255.25432.223.255.255131,070
11332.224.0.0/1532.224.0.1 to 32.225.255.25432.225.255.255131,070
11432.226.0.0/1532.226.0.1 to 32.227.255.25432.227.255.255131,070
11532.228.0.0/1532.228.0.1 to 32.229.255.25432.229.255.255131,070
11632.230.0.0/1532.230.0.1 to 32.231.255.25432.231.255.255131,070
11732.232.0.0/1532.232.0.1 to 32.233.255.25432.233.255.255131,070
11832.234.0.0/1532.234.0.1 to 32.235.255.25432.235.255.255131,070
11932.236.0.0/1532.236.0.1 to 32.237.255.25432.237.255.255131,070
12032.238.0.0/1532.238.0.1 to 32.239.255.25432.239.255.255131,070
12132.240.0.0/1532.240.0.1 to 32.241.255.25432.241.255.255131,070
12232.242.0.0/1532.242.0.1 to 32.243.255.25432.243.255.255131,070
12332.244.0.0/1532.244.0.1 to 32.245.255.25432.245.255.255131,070
12432.246.0.0/1532.246.0.1 to 32.247.255.25432.247.255.255131,070
12532.248.0.0/1532.248.0.1 to 32.249.255.25432.249.255.255131,070
12632.250.0.0/1532.250.0.1 to 32.251.255.25432.251.255.255131,070
12732.252.0.0/1532.252.0.1 to 32.253.255.25432.253.255.255131,070
12832.254.0.0/1532.254.0.1 to 32.255.255.25432.255.255.255131,070
12933.0.0.0/1533.0.0.1 to 33.1.255.25433.1.255.255131,070
13033.2.0.0/1533.2.0.1 to 33.3.255.25433.3.255.255131,070
13133.4.0.0/1533.4.0.1 to 33.5.255.25433.5.255.255131,070
13233.6.0.0/1533.6.0.1 to 33.7.255.25433.7.255.255131,070
13333.8.0.0/1533.8.0.1 to 33.9.255.25433.9.255.255131,070
13433.10.0.0/1533.10.0.1 to 33.11.255.25433.11.255.255131,070
13533.12.0.0/1533.12.0.1 to 33.13.255.25433.13.255.255131,070
13633.14.0.0/1533.14.0.1 to 33.15.255.25433.15.255.255131,070
13733.16.0.0/1533.16.0.1 to 33.17.255.25433.17.255.255131,070
13833.18.0.0/1533.18.0.1 to 33.19.255.25433.19.255.255131,070
13933.20.0.0/1533.20.0.1 to 33.21.255.25433.21.255.255131,070
14033.22.0.0/1533.22.0.1 to 33.23.255.25433.23.255.255131,070
14133.24.0.0/1533.24.0.1 to 33.25.255.25433.25.255.255131,070
14233.26.0.0/1533.26.0.1 to 33.27.255.25433.27.255.255131,070
14333.28.0.0/1533.28.0.1 to 33.29.255.25433.29.255.255131,070
14433.30.0.0/1533.30.0.1 to 33.31.255.25433.31.255.255131,070
14533.32.0.0/1533.32.0.1 to 33.33.255.25433.33.255.255131,070
14633.34.0.0/1533.34.0.1 to 33.35.255.25433.35.255.255131,070
14733.36.0.0/1533.36.0.1 to 33.37.255.25433.37.255.255131,070
14833.38.0.0/1533.38.0.1 to 33.39.255.25433.39.255.255131,070
14933.40.0.0/1533.40.0.1 to 33.41.255.25433.41.255.255131,070
15033.42.0.0/1533.42.0.1 to 33.43.255.25433.43.255.255131,070
15133.44.0.0/1533.44.0.1 to 33.45.255.25433.45.255.255131,070
15233.46.0.0/1533.46.0.1 to 33.47.255.25433.47.255.255131,070
15333.48.0.0/1533.48.0.1 to 33.49.255.25433.49.255.255131,070
15433.50.0.0/1533.50.0.1 to 33.51.255.25433.51.255.255131,070
15533.52.0.0/1533.52.0.1 to 33.53.255.25433.53.255.255131,070
15633.54.0.0/1533.54.0.1 to 33.55.255.25433.55.255.255131,070
15733.56.0.0/1533.56.0.1 to 33.57.255.25433.57.255.255131,070
15833.58.0.0/1533.58.0.1 to 33.59.255.25433.59.255.255131,070
15933.60.0.0/1533.60.0.1 to 33.61.255.25433.61.255.255131,070
16033.62.0.0/1533.62.0.1 to 33.63.255.25433.63.255.255131,070
16133.64.0.0/1533.64.0.1 to 33.65.255.25433.65.255.255131,070
16233.66.0.0/1533.66.0.1 to 33.67.255.25433.67.255.255131,070
16333.68.0.0/1533.68.0.1 to 33.69.255.25433.69.255.255131,070
16433.70.0.0/1533.70.0.1 to 33.71.255.25433.71.255.255131,070
16533.72.0.0/1533.72.0.1 to 33.73.255.25433.73.255.255131,070
16633.74.0.0/1533.74.0.1 to 33.75.255.25433.75.255.255131,070
16733.76.0.0/1533.76.0.1 to 33.77.255.25433.77.255.255131,070
16833.78.0.0/1533.78.0.1 to 33.79.255.25433.79.255.255131,070
16933.80.0.0/1533.80.0.1 to 33.81.255.25433.81.255.255131,070
17033.82.0.0/1533.82.0.1 to 33.83.255.25433.83.255.255131,070
17133.84.0.0/1533.84.0.1 to 33.85.255.25433.85.255.255131,070
17233.86.0.0/1533.86.0.1 to 33.87.255.25433.87.255.255131,070
17333.88.0.0/1533.88.0.1 to 33.89.255.25433.89.255.255131,070
17433.90.0.0/1533.90.0.1 to 33.91.255.25433.91.255.255131,070
17533.92.0.0/1533.92.0.1 to 33.93.255.25433.93.255.255131,070
17633.94.0.0/1533.94.0.1 to 33.95.255.25433.95.255.255131,070
17733.96.0.0/1533.96.0.1 to 33.97.255.25433.97.255.255131,070
17833.98.0.0/1533.98.0.1 to 33.99.255.25433.99.255.255131,070
17933.100.0.0/1533.100.0.1 to 33.101.255.25433.101.255.255131,070
18033.102.0.0/1533.102.0.1 to 33.103.255.25433.103.255.255131,070
18133.104.0.0/1533.104.0.1 to 33.105.255.25433.105.255.255131,070
18233.106.0.0/1533.106.0.1 to 33.107.255.25433.107.255.255131,070
18333.108.0.0/1533.108.0.1 to 33.109.255.25433.109.255.255131,070
18433.110.0.0/1533.110.0.1 to 33.111.255.25433.111.255.255131,070
18533.112.0.0/1533.112.0.1 to 33.113.255.25433.113.255.255131,070
18633.114.0.0/1533.114.0.1 to 33.115.255.25433.115.255.255131,070
18733.116.0.0/1533.116.0.1 to 33.117.255.25433.117.255.255131,070
18833.118.0.0/1533.118.0.1 to 33.119.255.25433.119.255.255131,070
18933.120.0.0/1533.120.0.1 to 33.121.255.25433.121.255.255131,070
19033.122.0.0/1533.122.0.1 to 33.123.255.25433.123.255.255131,070
19133.124.0.0/1533.124.0.1 to 33.125.255.25433.125.255.255131,070
19233.126.0.0/1533.126.0.1 to 33.127.255.25433.127.255.255131,070
19333.128.0.0/1533.128.0.1 to 33.129.255.25433.129.255.255131,070
19433.130.0.0/1533.130.0.1 to 33.131.255.25433.131.255.255131,070
19533.132.0.0/1533.132.0.1 to 33.133.255.25433.133.255.255131,070
19633.134.0.0/1533.134.0.1 to 33.135.255.25433.135.255.255131,070
19733.136.0.0/1533.136.0.1 to 33.137.255.25433.137.255.255131,070
19833.138.0.0/1533.138.0.1 to 33.139.255.25433.139.255.255131,070
19933.140.0.0/1533.140.0.1 to 33.141.255.25433.141.255.255131,070
20033.142.0.0/1533.142.0.1 to 33.143.255.25433.143.255.255131,070
20133.144.0.0/1533.144.0.1 to 33.145.255.25433.145.255.255131,070
20233.146.0.0/1533.146.0.1 to 33.147.255.25433.147.255.255131,070
20333.148.0.0/1533.148.0.1 to 33.149.255.25433.149.255.255131,070
20433.150.0.0/1533.150.0.1 to 33.151.255.25433.151.255.255131,070
20533.152.0.0/1533.152.0.1 to 33.153.255.25433.153.255.255131,070
20633.154.0.0/1533.154.0.1 to 33.155.255.25433.155.255.255131,070
20733.156.0.0/1533.156.0.1 to 33.157.255.25433.157.255.255131,070
20833.158.0.0/1533.158.0.1 to 33.159.255.25433.159.255.255131,070
20933.160.0.0/1533.160.0.1 to 33.161.255.25433.161.255.255131,070
21033.162.0.0/1533.162.0.1 to 33.163.255.25433.163.255.255131,070
21133.164.0.0/1533.164.0.1 to 33.165.255.25433.165.255.255131,070
21233.166.0.0/1533.166.0.1 to 33.167.255.25433.167.255.255131,070
21333.168.0.0/1533.168.0.1 to 33.169.255.25433.169.255.255131,070
21433.170.0.0/1533.170.0.1 to 33.171.255.25433.171.255.255131,070
21533.172.0.0/1533.172.0.1 to 33.173.255.25433.173.255.255131,070
21633.174.0.0/1533.174.0.1 to 33.175.255.25433.175.255.255131,070
21733.176.0.0/1533.176.0.1 to 33.177.255.25433.177.255.255131,070
21833.178.0.0/1533.178.0.1 to 33.179.255.25433.179.255.255131,070
21933.180.0.0/1533.180.0.1 to 33.181.255.25433.181.255.255131,070
22033.182.0.0/1533.182.0.1 to 33.183.255.25433.183.255.255131,070
22133.184.0.0/1533.184.0.1 to 33.185.255.25433.185.255.255131,070
22233.186.0.0/1533.186.0.1 to 33.187.255.25433.187.255.255131,070
22333.188.0.0/1533.188.0.1 to 33.189.255.25433.189.255.255131,070
22433.190.0.0/1533.190.0.1 to 33.191.255.25433.191.255.255131,070
22533.192.0.0/1533.192.0.1 to 33.193.255.25433.193.255.255131,070
22633.194.0.0/1533.194.0.1 to 33.195.255.25433.195.255.255131,070
22733.196.0.0/1533.196.0.1 to 33.197.255.25433.197.255.255131,070
22833.198.0.0/1533.198.0.1 to 33.199.255.25433.199.255.255131,070
22933.200.0.0/1533.200.0.1 to 33.201.255.25433.201.255.255131,070
23033.202.0.0/1533.202.0.1 to 33.203.255.25433.203.255.255131,070
23133.204.0.0/1533.204.0.1 to 33.205.255.25433.205.255.255131,070
23233.206.0.0/1533.206.0.1 to 33.207.255.25433.207.255.255131,070
23333.208.0.0/1533.208.0.1 to 33.209.255.25433.209.255.255131,070
23433.210.0.0/1533.210.0.1 to 33.211.255.25433.211.255.255131,070
23533.212.0.0/1533.212.0.1 to 33.213.255.25433.213.255.255131,070
23633.214.0.0/1533.214.0.1 to 33.215.255.25433.215.255.255131,070
23733.216.0.0/1533.216.0.1 to 33.217.255.25433.217.255.255131,070
23833.218.0.0/1533.218.0.1 to 33.219.255.25433.219.255.255131,070
23933.220.0.0/1533.220.0.1 to 33.221.255.25433.221.255.255131,070
24033.222.0.0/1533.222.0.1 to 33.223.255.25433.223.255.255131,070
24133.224.0.0/1533.224.0.1 to 33.225.255.25433.225.255.255131,070
24233.226.0.0/1533.226.0.1 to 33.227.255.25433.227.255.255131,070
24333.228.0.0/1533.228.0.1 to 33.229.255.25433.229.255.255131,070
24433.230.0.0/1533.230.0.1 to 33.231.255.25433.231.255.255131,070
24533.232.0.0/1533.232.0.1 to 33.233.255.25433.233.255.255131,070
24633.234.0.0/1533.234.0.1 to 33.235.255.25433.235.255.255131,070
24733.236.0.0/1533.236.0.1 to 33.237.255.25433.237.255.255131,070
24833.238.0.0/1533.238.0.1 to 33.239.255.25433.239.255.255131,070
24933.240.0.0/1533.240.0.1 to 33.241.255.25433.241.255.255131,070
25033.242.0.0/1533.242.0.1 to 33.243.255.25433.243.255.255131,070
25133.244.0.0/1533.244.0.1 to 33.245.255.25433.245.255.255131,070
25233.246.0.0/1533.246.0.1 to 33.247.255.25433.247.255.255131,070
25333.248.0.0/1533.248.0.1 to 33.249.255.25433.249.255.255131,070
25433.250.0.0/1533.250.0.1 to 33.251.255.25433.251.255.255131,070
25533.252.0.0/1533.252.0.1 to 33.253.255.25433.253.255.255131,070
25633.254.0.0/1533.254.0.1 to 33.255.255.25433.255.255.255131,070

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses